package cl.tefix.ventas.GestionRutas.contactos;

import cl.tefix.ventas.GestionRutas.*;
import cl.tefix.ventas.GestionRutas.dependencias.*;
import java.sql.*;
import javax.swing.*;

public class FrameNuevoContacto extends javax.swing.JInternalFrame {

    public FrameNuevoContacto() {
        initComponents();
        iniciarCombo();
    }

    private void initComponents() {
        java.awt.GridBagConstraints gridBagConstraints;

        jLabel1 = new javax.swing.JLabel();
        TextoNombre = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        ComboTipos = new javax.swing.JComboBox();
        jLabel3 = new javax.swing.JLabel();
        TextoFono = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        TextoMovil = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        TextoFax = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        TextoEmail = new javax.swing.JTextField();
        BotonIngresar = new javax.swing.JButton();

        getContentPane().setLayout(new java.awt.GridBagLayout());

        setClosable(true);
        setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
        setIconifiable(true);
        setTitle("Nuevo Contacto");
        setMinimumSize(new java.awt.Dimension(114, 22));
        setPreferredSize(new java.awt.Dimension(114, 22));
        jLabel1.setText("Nombre");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel1, gridBagConstraints);

        TextoNombre.setMinimumSize(new java.awt.Dimension(114, 22));
        TextoNombre.setPreferredSize(new java.awt.Dimension(114, 22));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 3;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 5);
        getContentPane().add(TextoNombre, gridBagConstraints);

        jLabel2.setText("Cargo");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel2, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(ComboTipos, gridBagConstraints);

        jLabel3.setText("Fono");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel3, gridBagConstraints);

        TextoFono.setMinimumSize(new java.awt.Dimension(114, 22));
        TextoFono.setPreferredSize(new java.awt.Dimension(114, 22));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(TextoFono, gridBagConstraints);

        jLabel4.setText("Fax");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel4, gridBagConstraints);

        TextoMovil.setMinimumSize(new java.awt.Dimension(114, 22));
        TextoMovil.setPreferredSize(new java.awt.Dimension(114, 22));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 5);
        getContentPane().add(TextoMovil, gridBagConstraints);

        jLabel5.setText("Celular");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel5, gridBagConstraints);

        TextoFax.setMinimumSize(new java.awt.Dimension(114, 22));
        TextoFax.setPreferredSize(new java.awt.Dimension(114, 22));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(TextoFax, gridBagConstraints);

        jLabel6.setText("e-mail");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel6, gridBagConstraints);

        TextoEmail.setMinimumSize(new java.awt.Dimension(114, 22));
        TextoEmail.setPreferredSize(new java.awt.Dimension(114, 22));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.gridwidth = 3;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 5);
        getContentPane().add(TextoEmail, gridBagConstraints);

        BotonIngresar.setText("Ingresar");
        BotonIngresar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BotonIngresarActionPerformed(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(5, 0, 5, 0);
        getContentPane().add(BotonIngresar, gridBagConstraints);

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-374)/2, (screenSize.height-239)/2, 374, 239);
    }//GEN-END:initComponents

    private void BotonIngresarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BotonIngresarActionPerformed
        if(TextoNombre.getText().length()==0){
            JOptionPane.showMessageDialog(this,"Error: Debe ingresar al menos un nombre","Error", 0);
        }else{
            if(ComboTipos.getSelectedItem().toString().equals("--Seleccionar--")){
                JOptionPane.showMessageDialog(this,"Error: Debe ingresar un cargo","Error", 0);
            }else{
                try{
                    Statement stmt = GestionRutas.getConexion().createStatement(1004,1008);
                    String sentencia1 = "insert into contacto(nombre,cod_cargo,fono,fax,movil,email) values ('" + TextoNombre.getText() +
                    "',(select cod_cargo from cargo_contacto where cargo='" + ComboTipos.getSelectedItem().toString() + "'),'" +
                    TextoFono.getText() + "','" + TextoFax.getText() + "','" + TextoMovil.getText() + "','" + TextoEmail.getText() + "')";

                    String sentencia2 = "insert into contacto_dependencia values('" + cod_dep + "',(select max(cod_cont) from contacto))";
                    stmt.execute(sentencia1);
                    stmt.execute(sentencia2);
                    JOptionPane.showMessageDialog(this,"El contacto se ha ingresado correctamente","Informacin",JOptionPane.INFORMATION_MESSAGE);
                    TextoNombre.setText("");TextoFono.setText("");TextoFax.setText("");TextoMovil.setText("");TextoEmail.setText("");
                    stmt.close();
                    FrameDependencias.getFrameDependencias().setSeleccion(-1);
                    FrameDependencias.getFrameDependencias().llenarTablaContactos();
    //                fd.setSeleccionAnterior(-1);
//                    fd.llenarTablaContactos();
                }catch(SQLException e){
                    e.printStackTrace();
                }
            }
        }
    }//GEN-LAST:event_BotonIngresarActionPerformed

    private void iniciarCombo(){
        ComboTipos.addItem("--Seleccionar--");
        try{
            Statement stmt = GestionRutas.getConexion().createStatement();
            ResultSet rs = stmt.executeQuery("select cargo from cargo_contacto");
            while(rs.next()){
                ComboTipos.addItem(rs.getString(1));
            }
            rs.close();
            stmt.close();
        }catch(SQLException e){
            e.printStackTrace();
        }
    }
//------------------------------------------------------------------------------
    public void setCodDep(String codigo){
        cod_dep=codigo;
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton BotonIngresar;
    private javax.swing.JComboBox ComboTipos;
    private javax.swing.JTextField TextoEmail;
    private javax.swing.JTextField TextoFax;
    private javax.swing.JTextField TextoFono;
    private javax.swing.JTextField TextoMovil;
    private javax.swing.JTextField TextoNombre;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    // End of variables declaration//GEN-END:variables

    private String cod_dep;
    FrameDependencias fd;
}
