package cl.tefix.ventas.GestionRutas.visitas;

import cl.tefix.ventas.GestionRutas.*;
import cl.tefix.ventas.GestionRutas.visitas.empresas.*;
import cl.tefix.ventas.GestionRutas.visitas.dependencias.*;
import cl.tefix.ventas.GestionRutas.visitas.contactos.*;
import java.awt.event.*;
import javax.swing.table.*;
import javax.swing.*;
import java.sql.*;
import java.awt.Dimension;

public class FrameVisitas extends javax.swing.JInternalFrame {

    public FrameVisitas() {
        initComponents();
        iniciarComboVendedor();
        registrarAdminResizeListener();
        frameVisitasEstatico = this;
    }

    private void initComponents() {//GEN-BEGIN:initComponents
        java.awt.GridBagConstraints gridBagConstraints;

        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jToolBar1 = new javax.swing.JToolBar();
        BotonBuscarEmpresa = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        TablaEmpresa = new javax.swing.JTable();
        jPanel2 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jScrollPane2 = new javax.swing.JScrollPane();
        TablaDependencia = new javax.swing.JTable();
        jToolBar2 = new javax.swing.JToolBar();
        BotonBuscarDependencia = new javax.swing.JButton();
        jPanel3 = new javax.swing.JPanel();
        jLabel3 = new javax.swing.JLabel();
        jScrollPane3 = new javax.swing.JScrollPane();
        TablaContacto = new javax.swing.JTable();
        jToolBar3 = new javax.swing.JToolBar();
        BotonBuscarContacto = new javax.swing.JButton();
        jPanel4 = new javax.swing.JPanel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        ComboDia = new javax.swing.JComboBox();
        ComboMes = new javax.swing.JComboBox();
        ComboAnio = new javax.swing.JComboBox();
        ComboMinFin = new javax.swing.JComboBox();
        ComboHoraFin = new javax.swing.JComboBox();
        ComboMinInicio = new javax.swing.JComboBox();
        ComboHoraInicio = new javax.swing.JComboBox();
        BotonIngresar = new javax.swing.JButton();
        TextoNumCot = new javax.swing.JTextField();
        CheckBoxCotizacion = new javax.swing.JCheckBox();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jScrollPane4 = new javax.swing.JScrollPane();
        TextAreaObs = new javax.swing.JTextArea();
        CheckBoxObs = new javax.swing.JCheckBox();
        jLabel9 = new javax.swing.JLabel();
        ComboVendedor = new javax.swing.JComboBox();

        getContentPane().setLayout(new java.awt.GridBagLayout());

        setClosable(true);
        setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Ingreso de Visitas");
        addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentHidden(java.awt.event.ComponentEvent evt) {
                formComponentHidden(evt);
            }
        });

        jPanel1.setLayout(new java.awt.GridBagLayout());

        jPanel1.setBorder(new javax.swing.border.BevelBorder(javax.swing.border.BevelBorder.RAISED));
        jPanel1.setMinimumSize(new java.awt.Dimension(300, 100));
        jPanel1.setPreferredSize(new java.awt.Dimension(300, 100));
        jLabel1.setText("Empresa");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        jPanel1.add(jLabel1, gridBagConstraints);

        jToolBar1.setFloatable(false);
        BotonBuscarEmpresa.setIcon(new javax.swing.ImageIcon(getClass().getResource("/recursos/iconos/Find16.gif")));
        BotonBuscarEmpresa.setToolTipText("Buscar una Empresa");
        BotonBuscarEmpresa.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BotonBuscarEmpresaActionPerformed(evt);
            }
        });

        jToolBar1.add(BotonBuscarEmpresa);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        jPanel1.add(jToolBar1, gridBagConstraints);

        jScrollPane1.setMinimumSize(new java.awt.Dimension(22, 35));
        TablaEmpresa.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null}
            },
            new String [] {
                "Rut", "Nombre", "Tipo", "Prioridad"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        TablaEmpresa.addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentResized(java.awt.event.ComponentEvent evt) {
                TablaEmpresaComponentResized(evt);
            }
        });

        jScrollPane1.setViewportView(TablaEmpresa);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 5);
        jPanel1.add(jScrollPane1, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTH;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 5);
        getContentPane().add(jPanel1, gridBagConstraints);

        jPanel2.setLayout(new java.awt.GridBagLayout());

        jPanel2.setBorder(new javax.swing.border.BevelBorder(javax.swing.border.BevelBorder.RAISED));
        jPanel2.setMinimumSize(new java.awt.Dimension(300, 100));
        jPanel2.setPreferredSize(new java.awt.Dimension(300, 100));
        jLabel2.setText("Dependencia");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        jPanel2.add(jLabel2, gridBagConstraints);

        TablaDependencia.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null, null, null, null}
            },
            new String [] {
                "Cdigo", "Nombre", "Tipo ", "Direccin", "Ciudad", "Comuna", "Vendedor"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false, false, false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        TablaDependencia.addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentResized(java.awt.event.ComponentEvent evt) {
                TablaDependenciaComponentResized(evt);
            }
        });

        jScrollPane2.setViewportView(TablaDependencia);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 5);
        jPanel2.add(jScrollPane2, gridBagConstraints);

        jToolBar2.setFloatable(false);
        BotonBuscarDependencia.setIcon(new javax.swing.ImageIcon(getClass().getResource("/recursos/iconos/Find16.gif")));
        BotonBuscarDependencia.setToolTipText("Buscar una Dependencia");
        BotonBuscarDependencia.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BotonBuscarDependenciaActionPerformed(evt);
            }
        });

        jToolBar2.add(BotonBuscarDependencia);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        jPanel2.add(jToolBar2, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTH;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 5);
        getContentPane().add(jPanel2, gridBagConstraints);

        jPanel3.setLayout(new java.awt.GridBagLayout());

        jPanel3.setBorder(new javax.swing.border.BevelBorder(javax.swing.border.BevelBorder.RAISED));
        jPanel3.setMinimumSize(new java.awt.Dimension(300, 100));
        jPanel3.setPreferredSize(new java.awt.Dimension(300, 100));
        jLabel3.setText("Contacto");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        jPanel3.add(jLabel3, gridBagConstraints);

        TablaContacto.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null, null, null, null}
            },
            new String [] {
                "Cdigo", "Nombre", "Cargo", "Fono", "Fax", "Celular", "e-mail"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false, false, false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane3.setViewportView(TablaContacto);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 5);
        jPanel3.add(jScrollPane3, gridBagConstraints);

        jToolBar3.setFloatable(false);
        BotonBuscarContacto.setIcon(new javax.swing.ImageIcon(getClass().getResource("/recursos/iconos/Find16.gif")));
        BotonBuscarContacto.setToolTipText("Buscar un Contacto");
        BotonBuscarContacto.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BotonBuscarContactoActionPerformed(evt);
            }
        });

        jToolBar3.add(BotonBuscarContacto);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        jPanel3.add(jToolBar3, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTH;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 5);
        getContentPane().add(jPanel3, gridBagConstraints);

        jPanel4.setLayout(new java.awt.GridBagLayout());

        jPanel4.setBorder(new javax.swing.border.BevelBorder(javax.swing.border.BevelBorder.RAISED));
        jLabel4.setText("Fecha:");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        jPanel4.add(jLabel4, gridBagConstraints);

        jLabel5.setText("Desde:");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        jPanel4.add(jLabel5, gridBagConstraints);

        jLabel6.setText("Hasta:");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        jPanel4.add(jLabel6, gridBagConstraints);

        ComboDia.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Da", "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31" }));
        ComboDia.setMinimumSize(new java.awt.Dimension(80, 24));
        ComboDia.setPreferredSize(new java.awt.Dimension(80, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        jPanel4.add(ComboDia, gridBagConstraints);

        ComboMes.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Mes", "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12" }));
        ComboMes.setMinimumSize(new java.awt.Dimension(80, 24));
        ComboMes.setPreferredSize(new java.awt.Dimension(80, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        jPanel4.add(ComboMes, gridBagConstraints);

        ComboAnio.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Ao", "2004", "2005", "2006", "2007", "2008", "2009", "2010" }));
        ComboAnio.setMinimumSize(new java.awt.Dimension(80, 24));
        ComboAnio.setPreferredSize(new java.awt.Dimension(80, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        jPanel4.add(ComboAnio, gridBagConstraints);

        ComboMinFin.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "00", "15", "30", "45" }));
        ComboMinFin.setMinimumSize(new java.awt.Dimension(80, 24));
        ComboMinFin.setPreferredSize(new java.awt.Dimension(80, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        jPanel4.add(ComboMinFin, gridBagConstraints);

        ComboHoraFin.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22" }));
        ComboHoraFin.setMinimumSize(new java.awt.Dimension(80, 24));
        ComboHoraFin.setPreferredSize(new java.awt.Dimension(80, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        jPanel4.add(ComboHoraFin, gridBagConstraints);

        ComboMinInicio.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "00", "15", "30", "45" }));
        ComboMinInicio.setMinimumSize(new java.awt.Dimension(80, 24));
        ComboMinInicio.setPreferredSize(new java.awt.Dimension(80, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        jPanel4.add(ComboMinInicio, gridBagConstraints);

        ComboHoraInicio.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22" }));
        ComboHoraInicio.setMinimumSize(new java.awt.Dimension(80, 24));
        ComboHoraInicio.setPreferredSize(new java.awt.Dimension(80, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        jPanel4.add(ComboHoraInicio, gridBagConstraints);

        BotonIngresar.setText("Ingresar");
        BotonIngresar.setMaximumSize(new java.awt.Dimension(100, 25));
        BotonIngresar.setMinimumSize(new java.awt.Dimension(100, 25));
        BotonIngresar.setPreferredSize(new java.awt.Dimension(100, 25));
        BotonIngresar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BotonIngresarActionPerformed(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 6;
        gridBagConstraints.insets = new java.awt.Insets(5, 0, 5, 0);
        jPanel4.add(BotonIngresar, gridBagConstraints);

        TextoNumCot.setEditable(false);
        TextoNumCot.setMinimumSize(new java.awt.Dimension(114, 22));
        TextoNumCot.setPreferredSize(new java.awt.Dimension(114, 22));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        jPanel4.add(TextoNumCot, gridBagConstraints);

        CheckBoxCotizacion.setText("Cotizaci\u00f3n N\u00ba");
        CheckBoxCotizacion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CheckBoxCotizacionActionPerformed(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        jPanel4.add(CheckBoxCotizacion, gridBagConstraints);

        jLabel7.setText("Hrs.");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        jPanel4.add(jLabel7, gridBagConstraints);

        jLabel8.setText("Hrs.");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        jPanel4.add(jLabel8, gridBagConstraints);

        TextAreaObs.setEditable(false);
        TextAreaObs.setOpaque(false);
        jScrollPane4.setViewportView(TextAreaObs);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.gridheight = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(0, 10, 0, 5);
        jPanel4.add(jScrollPane4, gridBagConstraints);

        CheckBoxObs.setText("Observaciones:");
        CheckBoxObs.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CheckBoxObsActionPerformed(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 10, 0, 0);
        jPanel4.add(CheckBoxObs, gridBagConstraints);

        jLabel9.setText("Vendedor:");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(8, 10, 0, 0);
        jPanel4.add(jLabel9, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 5;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 5);
        jPanel4.add(ComboVendedor, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.SOUTH;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 5, 5);
        getContentPane().add(jPanel4, gridBagConstraints);

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-647)/2, (screenSize.height-492)/2, 647, 492);
    }//GEN-END:initComponents

    private void formComponentHidden(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_formComponentHidden
        reinicializarTodo();
    }//GEN-LAST:event_formComponentHidden

    private void BotonIngresarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BotonIngresarActionPerformed
        if(TablaEmpresa.getSelectedRow()==-1 || TablaDependencia.getSelectedRow()==-1 || TablaContacto.getSelectedRow()==-1){
            JOptionPane.showMessageDialog(this,"Error: Debe seleccionar una empresa, una Dependencia y un Contacto","Error",0);
        }else{
            if(ComboDia.getSelectedItem().toString().equals("Dia") || ComboMes.getSelectedItem().toString().equals("Mes") || ComboAnio.getSelectedItem().toString().equals("Ao") ){
                JOptionPane.showMessageDialog(this,"Error: Debe completar la informacin de fecha","Error",0);
            }else{
                ingresarVisita();
            }
        }
    }//GEN-LAST:event_BotonIngresarActionPerformed

    private void ingresarVisita(){
        Fecha = ComboDia.getSelectedItem().toString() + "-" + ComboMes.getSelectedItem().toString() + "-" + ComboAnio.getSelectedItem().toString();
        HoraInicio = ComboHoraInicio.getSelectedItem().toString() + ":" + ComboMinInicio.getSelectedItem().toString();
        HoraFin = ComboHoraFin.getSelectedItem().toString() + ":" + ComboMinFin.getSelectedItem().toString();
        if((Usuario=ComboVendedor.getSelectedItem().toString()).equals("--Seleccionar--")){
            JOptionPane.showMessageDialog(this,"Error: Debe seleccionar un Vendedor","Error",0);
        }else{
            try{
                Statement stmt = GestionRutas.getConexion().createStatement();
                ResultSet rs = stmt.executeQuery("select cod_vend from vendedor where nom_vend='" + Usuario + "'");
                rs.next();
                Usuario = rs.getString(1);
                rs.close();
                stmt.close();
            } catch(SQLException e){
                e.printStackTrace();
            }

            String consulta="";
            if(CheckBoxCotizacion.isSelected()){
                if(CheckBoxObs.isSelected()){
                    Observaciones = this.TextAreaObs.getText();
                    consulta = "insert into visita(cod_vend,cod_dep,cod_cont,fecha_ingreso,fecha,h_inicio,h_fin,obs,num_cot) " +
                    "values('" + Usuario + "','" + TablaDependencia.getValueAt(TablaDependencia.getSelectedRow(), 0) +
                    "','" + TablaContacto.getValueAt(TablaContacto.getSelectedRow(), 0) + "',null,'" + Fecha + "','" + HoraInicio + "','" +
                    HoraFin + "','" + Observaciones + "','" + TextoNumCot.getText() + "')";
                }else{
                    consulta = "insert into visita(cod_vend,cod_dep,cod_cont,fecha_ingreso,fecha,h_inicio,h_fin,num_cot) " +
                    "values('" + Usuario + "','" + TablaDependencia.getValueAt(TablaDependencia.getSelectedRow(), 0) +
                    "','" + TablaContacto.getValueAt(TablaContacto.getSelectedRow(), 0) + "',null,'" + Fecha + "','" + HoraInicio + "','" +
                    HoraFin + "','" + TextoNumCot.getText() + "')";
                }
            }else {
                if(CheckBoxObs.isSelected()){
                    Observaciones = this.TextAreaObs.getText();
                    consulta = "insert into visita(cod_vend,cod_dep,cod_cont,fecha_ingreso,fecha,h_inicio,h_fin,obs) " +
                    "values('" + Usuario + "','" + TablaDependencia.getValueAt(TablaDependencia.getSelectedRow(), 0) +
                    "','" + TablaContacto.getValueAt(TablaContacto.getSelectedRow(), 0) + "',null,'" + Fecha + "','" + HoraInicio + "','" +
                    HoraFin + "','" + Observaciones + "')";
                }else{
                    consulta = "insert into visita(cod_vend,cod_dep,cod_cont,fecha_ingreso,fecha,h_inicio,h_fin) " +
                    "values('" + Usuario + "','" + TablaDependencia.getValueAt(TablaDependencia.getSelectedRow(), 0) +
                    "','" + TablaContacto.getValueAt(TablaContacto.getSelectedRow(), 0) + "',null,'" + Fecha + "','" + HoraInicio + "','" +
                    HoraFin + "')";
                }
            }

            try{
                Statement stmt = GestionRutas.getConexion().createStatement();
                stmt.execute(consulta);
                stmt.close();
            } catch(SQLException e){
                e.printStackTrace();
            }
            JOptionPane.showMessageDialog(this,"La informacin se ha introducido correctamente\nUd. ya no la podr modificar","Informacin",1);
    //        this.CheckBoxCotizacion.setSelected(false);fo.setText("");
            reinicializarTodo();
        }
    }

    private void reinicializarTodo(){
            ComboDia.setSelectedIndex(0);ComboMes.setSelectedIndex(0);ComboAnio.setSelectedIndex(0);
            ComboHoraFin.setSelectedIndex(0);ComboHoraInicio.setSelectedIndex(0);ComboMinFin.setSelectedIndex(0);
            ComboMinInicio.setSelectedIndex(0);ComboVendedor.setSelectedIndex(0);
            TextAreaObs.setText("");CheckBoxObs.setSelected(false);
            TextoNumCot.setText("");CheckBoxCotizacion.setSelected(false);
            TablaEmpresa.setModel(new DefaultTableModel(new String [][] {{}},new String [] {"Rut", "Nombre", "Tipo", "Prioridad"}));
            TablaDependencia.setModel(new DefaultTableModel(new String [][] {{}},new String [] {"Cdigo", "Nombre", "Tipo ", "Direccin", "Ciudad", "Comuna", "Vendedor"}));
            TablaContacto.setModel(new DefaultTableModel(new String [][] {{}},new String [] {"Cdigo", "Nombre", "Cargo", "Fono", "Fax", "Celular", "e-mail"}));
            Rut = null;CodigoDependencia=null;
    }


    private void CheckBoxObsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_CheckBoxObsActionPerformed
        if(CheckBoxObs.isSelected()){
            TextAreaObs.setEditable(true);
            TextAreaObs.setOpaque(true);
        }else{
            TextAreaObs.setEditable(false);
            TextAreaObs.setOpaque(false);
        }
    }//GEN-LAST:event_CheckBoxObsActionPerformed

    private void CheckBoxCotizacionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_CheckBoxCotizacionActionPerformed
        if(this.CheckBoxCotizacion.isSelected()){
            TextoNumCot.setEditable(true);
        }else{
            TextoNumCot.setEditable(false);
        }
    }//GEN-LAST:event_CheckBoxCotizacionActionPerformed

    private void registrarAdminResizeListener(){
        TamanoEscritorio = Admin.getEscritorio().getSize();
        Admin.getFrameAdmin().addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentResized(java.awt.event.ComponentEvent evt) {
                TamanoEscritorio = Admin.getEscritorio().getSize();
            }
        });
    }

    private void BotonBuscarContactoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BotonBuscarContactoActionPerformed
        if(CodigoDependencia == null){
            JOptionPane.showMessageDialog(this,"Error: antes debe seleccionar una Empresa","Error",0);
        }else{
            iniciarFrameBuscarContactos();
            frameBuscarContactos.setLocation((TamanoEscritorio.width-580)/2,(TamanoEscritorio.height-350)/2);
            frameBuscarContactos.setVisible(true);
            frameBuscarContactos.setCodigoDependencia(CodigoDependencia);
        }
    }//GEN-LAST:event_BotonBuscarContactoActionPerformed

    private void TablaDependenciaComponentResized(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_TablaDependenciaComponentResized
        this.fijarAnchosTablaDependencia();
    }//GEN-LAST:event_TablaDependenciaComponentResized

    private void BotonBuscarDependenciaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BotonBuscarDependenciaActionPerformed
        if(Rut == null){
            JOptionPane.showMessageDialog(this,"Error: antes debe seleccionar una Dependencia","Error",0);
        }else{
            iniciarFrameBuscarDependencia();
            frameBuscarDependencia.setLocation((TamanoEscritorio.width-540)/2,(TamanoEscritorio.height-320)/2);
            frameBuscarDependencia.setVisible(true);
            frameBuscarDependencia.setRut(Rut);
        }
    }//GEN-LAST:event_BotonBuscarDependenciaActionPerformed

    private void iniciarFrameBuscarContactos(){
        if(frameBuscarContactos == null){
            frameBuscarContactos = new FrameBuscarContactos();
            Admin.getEscritorio().add(frameBuscarContactos);
        }
    }

    private void iniciarFrameBuscarDependencia(){
        if(frameBuscarDependencia == null){
            frameBuscarDependencia = new FrameBuscarDependencia();
            Admin.getEscritorio().add(frameBuscarDependencia);
        }
    }

    private void BotonBuscarEmpresaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BotonBuscarEmpresaActionPerformed
        iniciarFrameBuscarEmpresas();
        frameBuscarEmpresas.setLocation((TamanoEscritorio.width-550)/2,(TamanoEscritorio.height-320)/2);
        frameBuscarEmpresas.setVisible(true);
    }//GEN-LAST:event_BotonBuscarEmpresaActionPerformed

    private void iniciarComboVendedor(){
        ComboVendedor.addItem("--Seleccionar--");
        try{
            Statement stmt = GestionRutas.getConexion().createStatement();
            ResultSet rs = stmt.executeQuery("select nom_vend from vendedor");
            while(rs.next()){
                ComboVendedor.addItem(rs.getString(1));
            }
            rs.close();
            stmt.close();
        } catch(SQLException e){
            e.printStackTrace();
        }
    }

    private void iniciarFrameBuscarEmpresas(){
        if(frameBuscarEmpresas == null){
            frameBuscarEmpresas = new FrameBuscarEmpresas();
            Admin.getEscritorio().add(frameBuscarEmpresas);
        }
    }

    private void TablaEmpresaComponentResized(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_TablaEmpresaComponentResized
        fijarAnchos();
    }//GEN-LAST:event_TablaEmpresaComponentResized

    public static FrameVisitas getFrameVisitas(){
        return frameVisitasEstatico;
    }

    public void setEmpresa(String Rut,String Nombre,String Tipo,String Prioridad){
        this.Rut = Rut;
        TablaEmpresa.setValueAt(Rut,0,0);
        TablaEmpresa.setValueAt(Nombre,0,1);
        TablaEmpresa.setValueAt(Tipo,0,2);
        TablaEmpresa.setValueAt(Prioridad,0,3);
        TablaEmpresa.setRowSelectionInterval(0,0);
    }

    public void setDependencia(String codigo,String nombre, String tipo,String direccion,String ciudad,String comuna, String vendedor){
        CodigoDependencia = codigo;
        TablaDependencia.setValueAt(codigo,0,0);
        TablaDependencia.setValueAt(nombre,0,1);
        TablaDependencia.setValueAt(tipo,0,2);
        TablaDependencia.setValueAt(direccion,0,3);
        TablaDependencia.setValueAt(ciudad,0,4);
        TablaDependencia.setValueAt(comuna,0,5);
        TablaDependencia.setValueAt(vendedor,0,6);
        TablaDependencia.setRowSelectionInterval(0,0);
    }

    public void setContacto(String codigo,String nombre,String cargo,String fono,String fax,String celular,String email){
        CodigoContacto = codigo;
        TablaContacto.setValueAt(codigo,0,0);
        TablaContacto.setValueAt(nombre,0,1);
        TablaContacto.setValueAt(cargo,0,2);
        TablaContacto.setValueAt(fono,0,3);
        TablaContacto.setValueAt(fax,0,4);
        TablaContacto.setValueAt(celular,0,5);
        TablaContacto.setValueAt(email,0,6);
        TablaContacto.setRowSelectionInterval(0,0);
    }

    private void fijarAnchos(){
        TablaEmpresa.getColumnModel().getColumn(1).setPreferredWidth(TablaEmpresa.getSize().width/2);
    }

    private void fijarAnchosTablaDependencia(){
        TablaDependencia.getColumnModel().getColumn(1).setPreferredWidth(TablaDependencia.getSize().width/5);
        TablaDependencia.getColumnModel().getColumn(3).setPreferredWidth(TablaDependencia.getSize().width/3);
        TablaDependencia.getColumnModel().getColumn(4).setPreferredWidth(TablaDependencia.getSize().width/8);
        TablaDependencia.getColumnModel().getColumn(5).setPreferredWidth(TablaDependencia.getSize().width/8);
        TablaDependencia.getColumnModel().getColumn(6).setPreferredWidth(TablaDependencia.getSize().width/5);
    }


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton BotonBuscarContacto;
    private javax.swing.JButton BotonBuscarDependencia;
    private javax.swing.JButton BotonBuscarEmpresa;
    private javax.swing.JButton BotonIngresar;
    private javax.swing.JCheckBox CheckBoxCotizacion;
    private javax.swing.JCheckBox CheckBoxObs;
    private javax.swing.JComboBox ComboAnio;
    private javax.swing.JComboBox ComboDia;
    private javax.swing.JComboBox ComboHoraFin;
    private javax.swing.JComboBox ComboHoraInicio;
    private javax.swing.JComboBox ComboMes;
    private javax.swing.JComboBox ComboMinFin;
    private javax.swing.JComboBox ComboMinInicio;
    private javax.swing.JComboBox ComboVendedor;
    private javax.swing.JTable TablaContacto;
    private javax.swing.JTable TablaDependencia;
    private javax.swing.JTable TablaEmpresa;
    private javax.swing.JTextArea TextAreaObs;
    private javax.swing.JTextField TextoNumCot;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JScrollPane jScrollPane4;
    private javax.swing.JToolBar jToolBar1;
    private javax.swing.JToolBar jToolBar2;
    private javax.swing.JToolBar jToolBar3;
    // End of variables declaration//GEN-END:variables
    private String Rut,Usuario,CodigoDependencia,CodigoContacto;
    private static FrameVisitas frameVisitasEstatico;
    private FrameBuscarEmpresas frameBuscarEmpresas;
    private FrameBuscarDependencia frameBuscarDependencia;
    private FrameBuscarContactos frameBuscarContactos;
    private Dimension TamanoEscritorio;
    private String Observaciones="";
    private String Fecha,HoraInicio,HoraFin;
}
