package cl.tefix.ventas.GestionRutas.visitas.dependencias;

import cl.tefix.ventas.GestionRutas.*;
import cl.tefix.ventas.GestionRutas.visitas.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import java.sql.*;
import java.util.*;

public class FrameBuscarDependencia extends javax.swing.JInternalFrame {

    public FrameBuscarDependencia() {
        initComponents();
        iniciarCombos();
        iniciarAcciones();
    }

    private void initComponents() {//GEN-BEGIN:initComponents
        java.awt.GridBagConstraints gridBagConstraints;

        jScrollPane1 = new javax.swing.JScrollPane();
        TablaDependencias = new javax.swing.JTable();
        jLabel1 = new javax.swing.JLabel();
        TextoNombre = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        ComboTipo = new javax.swing.JComboBox();
        jLabel4 = new javax.swing.JLabel();
        ComboVendedor = new javax.swing.JComboBox();
        jLabel5 = new javax.swing.JLabel();
        BotonBuscar = new javax.swing.JButton();
        jToolBar1 = new javax.swing.JToolBar();
        BotonEnviar = new javax.swing.JButton();

        getContentPane().setLayout(new java.awt.GridBagLayout());

        setClosable(true);
        setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Buscar Dependencias");
        addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentHidden(java.awt.event.ComponentEvent evt) {
                formComponentHidden(evt);
            }
        });

        TablaDependencias.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Cdigo", "Nombre", "Tipo", "Direccin", "Ciudad", "Comuna", "Vendedor"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false, false, false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        TablaDependencias.addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentResized(java.awt.event.ComponentEvent evt) {
                TablaDependenciasComponentResized(evt);
            }
        });

        jScrollPane1.setViewportView(TablaDependencias);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(5, 0, 0, 0);
        getContentPane().add(jScrollPane1, gridBagConstraints);

        jLabel1.setText("Nombre");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel1, gridBagConstraints);

        TextoNombre.setMinimumSize(new java.awt.Dimension(114, 22));
        TextoNombre.setPreferredSize(new java.awt.Dimension(114, 22));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(TextoNombre, gridBagConstraints);

        jLabel2.setText("y/o");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(jLabel2, gridBagConstraints);

        jLabel3.setText("Tipo");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel3, gridBagConstraints);

        ComboTipo.setMinimumSize(new java.awt.Dimension(130, 24));
        ComboTipo.setPreferredSize(new java.awt.Dimension(130, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(ComboTipo, gridBagConstraints);

        jLabel4.setText("y/o");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(jLabel4, gridBagConstraints);

        ComboVendedor.setMinimumSize(new java.awt.Dimension(130, 24));
        ComboVendedor.setPreferredSize(new java.awt.Dimension(130, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(ComboVendedor, gridBagConstraints);

        jLabel5.setText("Vendedor");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel5, gridBagConstraints);

        BotonBuscar.setText("Buscar");
        BotonBuscar.setMinimumSize(new java.awt.Dimension(90, 25));
        BotonBuscar.setPreferredSize(new java.awt.Dimension(90, 25));
        BotonBuscar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BotonBuscarActionPerformed(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(BotonBuscar, gridBagConstraints);

        jToolBar1.setFloatable(false);
        BotonEnviar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/recursos/iconos/Back16.gif")));
        BotonEnviar.setToolTipText("Seleccionar la Dependencia y regresar a la ventana de Visitas");
        BotonEnviar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BotonEnviarActionPerformed(evt);
            }
        });

        jToolBar1.add(BotonEnviar);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 5;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 5, 0);
        getContentPane().add(jToolBar1, gridBagConstraints);

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-540)/2, (screenSize.height-320)/2, 540, 320);
    }//GEN-END:initComponents

    private void iniciarAcciones(){
        getInputMap(JComponent.WHEN_IN_FOCUSED_WINDOW).put(KeyStroke.getKeyStroke("ENTER"),"Buscar");
        getActionMap().put("Buscar",
            new AbstractAction(){
                public void actionPerformed(ActionEvent e){
                    BotonBuscarActionPerformed(null);
                }
            }
        );
    }

    private void formComponentHidden(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_formComponentHidden
        TablaDependencias.setModel(new DefaultTableModel(new String [][] {},new String [] {"Cdigo", "Nombre", "Tipo", "Direccin", "Ciudad", "Comuna", "Vendedor"}));
        TextoNombre.setText("");
        ComboTipo.setSelectedIndex(0);
        ComboVendedor.setSelectedIndex(0);
    }//GEN-LAST:event_formComponentHidden

    private void BotonBuscarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BotonBuscarActionPerformed
        String tipo,vendedor;
        Vector datos = new Vector(0,5);
        Vector fila,NombresColumnas;
        if(ComboTipo.getSelectedItem().toString().equals("Todos")){
            tipo = "%%";
        } else{
            tipo = ComboTipo.getSelectedItem().toString();
        }
        if(ComboVendedor.getSelectedItem().toString().equals("Todos")){
            vendedor = "%%";
        }else{
            vendedor = ComboVendedor.getSelectedItem().toString();
        }
        int NumFilas, NumColumnas;
        try{
            Statement stmt = GestionRutas.getConexion().createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE,ResultSet.CONCUR_UPDATABLE);
            ResultSet rs = stmt.executeQuery("select cod_dep,nom_dep,tipo_dep.tipo_dep,direccion,ciudad,comuna,vendedor.nom_vend " +
            "from dependencia " +
                "where rut_emp = " + Rut + " AND lower(nom_dep) LIKE '%" + TextoNombre.getText().toLowerCase() + "%' " +
                "AND tipo_dep=tipo_dep.cod_tipo AND tipo_dep.tipo_dep LIKE '" + tipo + "' " +
                "AND vendedor=vendedor.cod_vend AND vendedor.nom_vend LIKE '" + vendedor + "'");
            while(rs.next()){
                fila = new Vector(7);
                for(int j=1;j<=7;j++){
                    fila.addElement(rs.getString(j));
                }
                datos.addElement(fila);
            }
            rs.close();
            stmt.close();
        }catch(SQLException e){
            e.printStackTrace();
        }
        NombresColumnas = new Vector(7);NombresColumnas.addElement("cdigo");NombresColumnas.addElement("Nombre");
        NombresColumnas.addElement("Tipo");NombresColumnas.addElement("Direccin");NombresColumnas.addElement("Ciudad");
        NombresColumnas.addElement("Comuna");NombresColumnas.addElement("Vendedor");
        DefaultTableModel Modelo = new DefaultTableModel(datos,NombresColumnas){
            public boolean isCellEditable(int x, int y){
                return false;
            }
        };
        TablaDependencias.setModel(Modelo);
        fijarAnchosTablaDependencias();
    }//GEN-LAST:event_BotonBuscarActionPerformed

    private void BotonEnviarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BotonEnviarActionPerformed
        if(TablaDependencias.getSelectedRow() == -1){
            JOptionPane.showMessageDialog(this,"Error: debe seleccionar una dependencia","Error",0);
        }else{
            String codigo,nombre,tipo,direccion,ciudad,comuna,vendedor;
            codigo = TablaDependencias.getValueAt(TablaDependencias.getSelectedRow(),0).toString();
            nombre = TablaDependencias.getValueAt(TablaDependencias.getSelectedRow(),1).toString();
            tipo = TablaDependencias.getValueAt(TablaDependencias.getSelectedRow(),2).toString();
            direccion = TablaDependencias.getValueAt(TablaDependencias.getSelectedRow(),3).toString();;
            ciudad = TablaDependencias.getValueAt(TablaDependencias.getSelectedRow(),4).toString();;
            comuna = TablaDependencias.getValueAt(TablaDependencias.getSelectedRow(),5).toString();;
            vendedor = TablaDependencias.getValueAt(TablaDependencias.getSelectedRow(),6).toString();;
            FrameVisitas.getFrameVisitas().setDependencia(codigo, nombre,tipo,direccion,ciudad,comuna, vendedor);
            setVisible(false);
        }
    }//GEN-LAST:event_BotonEnviarActionPerformed

    private void TablaDependenciasComponentResized(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_TablaDependenciasComponentResized
        fijarAnchosTablaDependencias();
    }//GEN-LAST:event_TablaDependenciasComponentResized

    private void iniciarCombos(){
        ComboTipo.addItem("Todos");
        ComboVendedor.addItem("Todos");
        try{
            Statement stmt = GestionRutas.getConexion().createStatement();
            ResultSet rs = stmt.executeQuery("select tipo_dep from tipo_dep");
            while(rs.next()){
                ComboTipo.addItem(rs.getString(1));
            }
            rs = stmt.executeQuery("select nom_vend from vendedor");
            while(rs.next()){
                ComboVendedor.addItem(rs.getString(1));
            }
            rs.close();
            stmt.close();
        } catch(SQLException e){
            e.printStackTrace();
        }

    }

    public void setRut(String Rut){
        this.Rut = Rut;
    }

    private void fijarAnchosTablaDependencias(){
        TablaDependencias.getColumnModel().getColumn(1).setPreferredWidth(TablaDependencias.getSize().width/5);
        TablaDependencias.getColumnModel().getColumn(3).setPreferredWidth(TablaDependencias.getSize().width/3);
        TablaDependencias.getColumnModel().getColumn(4).setPreferredWidth(TablaDependencias.getSize().width/8);
        TablaDependencias.getColumnModel().getColumn(5).setPreferredWidth(TablaDependencias.getSize().width/8);
        TablaDependencias.getColumnModel().getColumn(6).setPreferredWidth(TablaDependencias.getSize().width/5);
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton BotonBuscar;
    private javax.swing.JButton BotonEnviar;
    private javax.swing.JComboBox ComboTipo;
    private javax.swing.JComboBox ComboVendedor;
    private javax.swing.JTable TablaDependencias;
    private javax.swing.JTextField TextoNombre;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JToolBar jToolBar1;
    // End of variables declaration//GEN-END:variables
    private String Rut;
}
