package cl.tefix.ventas.GestionRutas;

import cl.tefix.ventas.GestionRutas.empresas.*;
import cl.tefix.ventas.GestionRutas.empresas.tipos.*;
import cl.tefix.ventas.GestionRutas.contactos.cargos.*;
import cl.tefix.ventas.GestionRutas.contactos.listado.*;
import cl.tefix.ventas.GestionRutas.visitas.*;
import cl.tefix.ventas.GestionRutas.dependencias.listado.*;
import javax.swing.*;
import java.awt.Dimension;
import com.l2fprod.gui.*;
import com.l2fprod.gui.plaf.skin.*;
import com.l2fprod.util.*;

public class Admin extends javax.swing.JFrame {

    public Admin() {
        initComponents();
        EscritorioEstatico = Escritorio;
        frameAdminEstatico = this;
    }

    private void initComponents() {
        Escritorio = new javax.swing.JDesktopPane();
        MenuPrincipal = new javax.swing.JMenuBar();
        MenuSesion = new javax.swing.JMenu();
        MenuItemSalir = new javax.swing.JMenuItem();
        MenuDefs = new javax.swing.JMenu();
        TiposEmpresas = new javax.swing.JMenuItem();
        MenuItemNuevaEmpresa = new javax.swing.JMenuItem();
        jSeparator1 = new javax.swing.JSeparator();
        MenuItemTiposDependencias = new javax.swing.JMenuItem();
        jSeparator2 = new javax.swing.JSeparator();
        MenuItemNuevoCargo = new javax.swing.JMenuItem();
        MenuEntidades = new javax.swing.JMenu();
        MenuItemEmpresas = new javax.swing.JMenuItem();
        MenuItemDependencias = new javax.swing.JMenuItem();
        MenuItemContactos = new JMenuItem();
        MenuVisitas = new javax.swing.JMenu();
        MenuItemVisitas = new javax.swing.JMenuItem();
        MenuInformes = new javax.swing.JMenu();
        MenuItemVisitasPorVendedor = new javax.swing.JMenuItem();
        MenuAyuda = new javax.swing.JMenu();
        MenuItemContenido = new javax.swing.JMenuItem();
        MenuItemAcerca = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Administraci\u00f3n");
        addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentResized(java.awt.event.ComponentEvent evt) {
                formComponentResized(evt);
            }
        });

        getContentPane().add(Escritorio, java.awt.BorderLayout.CENTER);

        MenuSesion.setText("Sesi\u00f3n");
        MenuItemSalir.setText("Salir");
        MenuItemSalir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                MenuItemSalirActionPerformed(evt);
            }
        });

        MenuSesion.add(MenuItemSalir);

        MenuPrincipal.add(MenuSesion);

        MenuDefs.setText("Definiciones");
        TiposEmpresas.setText("Tipos de Empresas");
        TiposEmpresas.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                TiposEmpresasActionPerformed(evt);
            }
        });

        MenuDefs.add(TiposEmpresas);

        MenuItemNuevaEmpresa.setText("Nueva Empresa");
        MenuItemNuevaEmpresa.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                MenuItemNuevaEmpresaActionPerformed(evt);
            }
        });

        MenuDefs.add(MenuItemNuevaEmpresa);

        MenuDefs.add(jSeparator1);

        MenuItemTiposDependencias.setText("Tipos de Dependencias");
        MenuItemTiposDependencias.setEnabled(false);
        MenuDefs.add(MenuItemTiposDependencias);

        MenuDefs.add(jSeparator2);

        MenuItemNuevoCargo.setText("Nuevo Cargo");
        MenuItemNuevoCargo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                MenuItemNuevoCargoActionPerformed(evt);
            }
        });

        MenuDefs.add(MenuItemNuevoCargo);

        MenuPrincipal.add(MenuDefs);

        MenuEntidades.setText("Entidades");
        MenuItemEmpresas.setText("Empresas");
        MenuItemEmpresas.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                MenuItemEmpresasActionPerformed(evt);
            }
        });

        MenuEntidades.add(MenuItemEmpresas);

        MenuItemDependencias.setText("Dependencias");
        MenuItemDependencias.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                MenuItemDependenciasActionPerformed(evt);
            }
        });

        MenuEntidades.add(MenuItemDependencias);

        MenuItemContactos.setText("Listado de Contactos");
        MenuItemContactos.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuItemContactosActionPerformed();
            }
        });

        MenuEntidades.add(MenuItemContactos);

        MenuPrincipal.add(MenuEntidades);

        MenuVisitas.setText("Visitas");
        MenuItemVisitas.setText("Ingresar Visitas");
        MenuItemVisitas.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                MenuItemVisitasActionPerformed(evt);
            }
        });

        MenuVisitas.add(MenuItemVisitas);

        MenuPrincipal.add(MenuVisitas);

        MenuInformes.setText("Informes");
        MenuInformes.setEnabled(false);
        MenuItemVisitasPorVendedor.setText("Todas las empresas");
        MenuInformes.add(MenuItemVisitasPorVendedor);

        MenuPrincipal.add(MenuInformes);

        MenuAyuda.setText("Ayuda");
        MenuItemContenido.setText("Contenidos");
        MenuAyuda.add(MenuItemContenido);

        MenuItemAcerca.setText("Acerca de ...");
        MenuAyuda.add(MenuItemAcerca);

        MenuPrincipal.add(MenuAyuda);

        setJMenuBar(MenuPrincipal);

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-797)/2, (screenSize.height-579)/2, 797, 579);
    }//GEN-END:initComponents

    private void formComponentResized(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_formComponentResized
        TamanoEscritorio = Escritorio.getSize();
    }//GEN-LAST:event_formComponentResized

    private void menuItemContactosActionPerformed(){
      iniciarFrameListadoContactos();
      frameListadoDeContactos.setVisible(true);
      frameListadoDeContactos.setLocation((Escritorio.getSize().width-frameListadoDeContactos.getSize().width)/2,(Escritorio.getSize().height-frameListadoDeContactos.getSize().height)/2);
    }

    private void MenuItemDependenciasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_MenuItemDependenciasActionPerformed
        iniciarFrameListadoDependencias();
        frameListadoDependencias.setVisible(true);
    }

    private void MenuItemVisitasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_MenuItemVisitasActionPerformed
        iniciarFrameVisitas();
        frameVisitas.setLocation((TamanoEscritorio.width-647)/2,(TamanoEscritorio.height- 492)/2);
        frameVisitas.setVisible(true);
    }

    private void MenuItemNuevoCargoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_MenuItemNuevoCargoActionPerformed
        iniciarFrameCrearCargoContacto();
        frameCrearCargoContacto.setVisible(true);
    }//GEN-LAST:event_MenuItemNuevoCargoActionPerformed

    private void iniciarFrameVisitas(){
        if(frameVisitas == null){
            frameVisitas = new FrameVisitas();
            Escritorio.add(frameVisitas);
        }
    }

    private void iniciarFrameListadoDependencias(){
        if(frameListadoDependencias == null){
            frameListadoDependencias = new FrameListadoDependencias();
            frameListadoDependencias.setLocation(10, 10);
            Escritorio.add(frameListadoDependencias);
        }
    }

    private void iniciarFrameListadoContactos(){
        if(frameListadoDependencias == null){
            frameListadoDeContactos = new FrameListadoDeContactos();
            frameListadoDeContactos.setLocation(10, 10);
            Escritorio.add(frameListadoDeContactos);
        }
    }

    private void iniciarFrameCrearCargoContacto(){
        if(frameCrearCargoContacto == null){
            frameCrearCargoContacto = new FrameCrearCargoContacto();
            frameCrearCargoContacto.setLocation(200, 10);
            Escritorio.add(frameCrearCargoContacto);
        }
    }

    private void iniciarFrameEmpresas(){
        if(frameEmpresas == null){
            frameEmpresas = new FrameEmpresas();
            frameEmpresas.setLocation((TamanoEscritorio.width-540)/2,(TamanoEscritorio.height-415)/2);
            Escritorio.add(frameEmpresas);
        }
    }

    private void iniciarFrameNuevaEmpresa(){
        if(frameNuevaEmpresa == null){
            frameNuevaEmpresa = new FrameNuevaEmpresa();
            frameNuevaEmpresa.setLocation(150, 10);
            Escritorio.add(frameNuevaEmpresa);
        }
    }

    private void iniciarFrameNuevoTipoEmpresa(){
        if(frameNuevoTipoEmpresa == null){
            frameNuevoTipoEmpresa = new FrameNuevoTipoEmpresa();
            frameNuevoTipoEmpresa.setLocation(200, 10);
            Escritorio.add(frameNuevoTipoEmpresa);
        }
    }

    public static JDesktopPane getEscritorio(){
        return EscritorioEstatico;
    }

    public static Admin getFrameAdmin(){
        return frameAdminEstatico;
    }

    public Dimension getTamanoEscritorio(){
        return TamanoEscritorio;
    }

    public void mostrarFrameNuevaEmpresa(){
        iniciarFrameNuevaEmpresa();
        frameNuevaEmpresa.setVisible(true);
    }

    private void MenuItemNuevaEmpresaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_MenuItemNuevaEmpresaActionPerformed
        iniciarFrameNuevaEmpresa();
        frameNuevaEmpresa.setVisible(true);
    }//GEN-LAST:event_MenuItemNuevaEmpresaActionPerformed

    private void MenuItemEmpresasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_MenuItemEmpresasActionPerformed
        iniciarFrameEmpresas();
        frameEmpresas.setVisible(true);
    }//GEN-LAST:event_MenuItemEmpresasActionPerformed

    private void TiposEmpresasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_TiposEmpresasActionPerformed
        iniciarFrameNuevoTipoEmpresa();
        frameNuevoTipoEmpresa.setVisible(true);
    }//GEN-LAST:event_TiposEmpresasActionPerformed

    private void MenuItemSalirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_MenuItemSalirActionPerformed
        System.exit(0);
    }//GEN-LAST:event_MenuItemSalirActionPerformed

    //Mis declaraciones de Variables
    String RutEmpresa="";
    String TipoDependencia="";

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JDesktopPane Escritorio;
    private javax.swing.JMenu MenuAyuda;
    private javax.swing.JMenu MenuDefs;
    private javax.swing.JMenu MenuEntidades;
    private javax.swing.JMenu MenuInformes;
    private javax.swing.JMenuItem MenuItemAcerca;
    private javax.swing.JMenuItem MenuItemContenido;
    private javax.swing.JMenuItem MenuItemDependencias,MenuItemContactos;
    private javax.swing.JMenuItem MenuItemEmpresas;
    private javax.swing.JMenuItem MenuItemNuevaEmpresa;
    private javax.swing.JMenuItem MenuItemNuevoCargo;
    private javax.swing.JMenuItem MenuItemSalir;
    private javax.swing.JMenuItem MenuItemTiposDependencias;
    private javax.swing.JMenuItem MenuItemVisitas;
    private javax.swing.JMenuItem MenuItemVisitasPorVendedor;
    private javax.swing.JMenuBar MenuPrincipal;
    private javax.swing.JMenu MenuSesion;
    private javax.swing.JMenu MenuVisitas;
    private javax.swing.JMenuItem TiposEmpresas;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private FrameEmpresas frameEmpresas;
    private static JDesktopPane EscritorioEstatico;
    private FrameNuevaEmpresa frameNuevaEmpresa;
    private static Admin frameAdminEstatico;
    private FrameCrearCargoContacto frameCrearCargoContacto;
    private FrameNuevoTipoEmpresa frameNuevoTipoEmpresa;
    private FrameVisitas frameVisitas;
    private FrameListadoDependencias frameListadoDependencias;
    private FrameListadoDeContactos frameListadoDeContactos;
    private Dimension TamanoEscritorio;
}
