package cl.tefix.ventas.GestionRutas.dependencias;

import cl.tefix.ventas.GestionRutas.*;
import javax.swing.JOptionPane;
import java.sql.*;

public class FrameNuevaDependencia extends javax.swing.JInternalFrame {

    public FrameNuevaDependencia() {
        initComponents();
        iniciarComboVendedor();
    }

    private void initComponents() {//GEN-BEGIN:initComponents
        java.awt.GridBagConstraints gridBagConstraints;

        LabelNombre = new javax.swing.JLabel();
        LabelCiudad = new javax.swing.JLabel();
        LabelComuna = new javax.swing.JLabel();
        BotonIngresar = new javax.swing.JButton();
        TextoDireccion = new javax.swing.JTextField();
        TextoCiudad = new javax.swing.JTextField();
        TextoComuna = new javax.swing.JTextField();
        TextoNombre = new javax.swing.JTextField();
        LabelDireccion = new javax.swing.JLabel();
        ComboVendedor = new javax.swing.JComboBox();
        jLabel1 = new javax.swing.JLabel();

        getContentPane().setLayout(new java.awt.GridBagLayout());

        setClosable(true);
        setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
        setIconifiable(true);
        setTitle("Nueva Dependencia");
        LabelNombre.setText("Nombre");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(LabelNombre, gridBagConstraints);

        LabelCiudad.setText("Ciudad");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        getContentPane().add(LabelCiudad, gridBagConstraints);

        LabelComuna.setText("Comuna");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        getContentPane().add(LabelComuna, gridBagConstraints);

        BotonIngresar.setText("Ingresar");
        BotonIngresar.setMaximumSize(new java.awt.Dimension(80, 24));
        BotonIngresar.setMinimumSize(new java.awt.Dimension(80, 24));
        BotonIngresar.setPreferredSize(new java.awt.Dimension(100, 24));
        BotonIngresar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BotonIngresarActionPerformed(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.insets = new java.awt.Insets(5, 0, 5, 0);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTH;
        getContentPane().add(BotonIngresar, gridBagConstraints);

        TextoDireccion.setMinimumSize(new java.awt.Dimension(114, 22));
        TextoDireccion.setPreferredSize(new java.awt.Dimension(114, 22));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 5);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        getContentPane().add(TextoDireccion, gridBagConstraints);

        TextoCiudad.setMinimumSize(new java.awt.Dimension(114, 22));
        TextoCiudad.setPreferredSize(new java.awt.Dimension(114, 22));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(TextoCiudad, gridBagConstraints);

        TextoComuna.setMinimumSize(new java.awt.Dimension(114, 22));
        TextoComuna.setPreferredSize(new java.awt.Dimension(114, 22));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 5);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(TextoComuna, gridBagConstraints);

        TextoNombre.setMinimumSize(new java.awt.Dimension(114, 22));
        TextoNombre.setPreferredSize(new java.awt.Dimension(114, 22));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 5);
        getContentPane().add(TextoNombre, gridBagConstraints);

        LabelDireccion.setText("Direcci\u00f3n");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        getContentPane().add(LabelDireccion, gridBagConstraints);

        ComboVendedor.setMinimumSize(new java.awt.Dimension(160, 24));
        ComboVendedor.setPreferredSize(new java.awt.Dimension(160, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        getContentPane().add(ComboVendedor, gridBagConstraints);

        jLabel1.setText("Vendedor");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        getContentPane().add(jLabel1, gridBagConstraints);

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-344)/2, (screenSize.height-244)/2, 344, 244);
    }//GEN-END:initComponents

    private void iniciarComboVendedor(){
        ComboVendedor.addItem("--Seleccionar--");
        try{
            Statement stmt = GestionRutas.getConexion().createStatement();
            ResultSet rs = stmt.executeQuery("select nom_vend from vendedor");
            while(rs.next()){
                ComboVendedor.addItem(rs.getString(1));
            }
            rs.close();
            stmt.close();
        } catch(SQLException e){
            e.printStackTrace();
        }
    }

    private void BotonIngresarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BotonIngresarActionPerformed
        if(TextoNombre.getText().length()==0){
            JOptionPane.showMessageDialog(this,"Error: Debe ingresar el nombre de la dependencia","Error",JOptionPane.ERROR_MESSAGE);
        }else{
            if((Usuario=ComboVendedor.getSelectedItem().toString()).equals("--Seleccionar--")){
                JOptionPane.showMessageDialog(this,"Error: Debe seleccionar un Vendedor","Error",0);
            }else{
                try{
                    Statement stmt = GestionRutas.getConexion().createStatement();
                    ResultSet rs = stmt.executeQuery("select cod_vend from vendedor where nom_vend='" + Usuario + "'");
                    rs.next();
                    Usuario = rs.getString(1);
                    rs.close();
                    stmt.close();
                } catch(SQLException e){
                    e.printStackTrace();
                }

                String consulta =
                    "insert into dependencia(nom_dep,tipo_dep,direccion,ciudad,comuna,rut_emp,vendedor) values('" +
                    TextoNombre.getText() + "'," +
                    "(select cod_tipo from tipo_dep where tipo_dep='" + TipoDependencia
                    + "'),'" + TextoDireccion.getText() + "','" +
                    TextoCiudad.getText() + "','" + TextoComuna.getText() + "','" + RutEmpresa + "','" + Usuario + "')";
                try{
                    Statement stmt = GestionRutas.getConexion().createStatement();
                    stmt.execute(consulta);
                    stmt.close();
                    JOptionPane.showMessageDialog(this,"La Dependencia set ha creado correctamente","Informacin",JOptionPane.INFORMATION_MESSAGE);
                } catch(SQLException e){
                    e.printStackTrace();
                }
                TextoNombre.setText("");
                TextoDireccion.setText("");
                TextoCiudad.setText("");
                TextoComuna.setText("");
                FrameDependencias.getFrameDependencias().llenarTablaDependencias();
            }
        }
    }//GEN-LAST:event_BotonIngresarActionPerformed

    public void setRut(java.lang.String rut) {
        RutEmpresa = rut;
    }

    public void setTipoDependencia(String tipo){
        TipoDependencia = tipo;
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton BotonIngresar;
    private javax.swing.JComboBox ComboVendedor;
    private javax.swing.JLabel LabelCiudad;
    private javax.swing.JLabel LabelComuna;
    private javax.swing.JLabel LabelDireccion;
    private javax.swing.JLabel LabelNombre;
    private javax.swing.JTextField TextoCiudad;
    private javax.swing.JTextField TextoComuna;
    private javax.swing.JTextField TextoDireccion;
    private javax.swing.JTextField TextoNombre;
    private javax.swing.JLabel jLabel1;
    // End of variables declaration//GEN-END:variables

    private String RutEmpresa,Usuario;
    private String TipoDependencia;
    private javax.swing.JFrame FramePadre;
}
