package cl.tefix.ventas.GestionRutas.dependencias.listado;

import cl.tefix.ventas.GestionRutas.*;
import cl.tefix.ventas.GestionRutas.excel.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import java.sql.*;

public class FrameListadoDependencias extends javax.swing.JInternalFrame {

    public FrameListadoDependencias() {
        initComponents();
        iniciarCombos();
        iniciarAcciones();
    }

    private void initComponents() {//GEN-BEGIN:initComponents
        java.awt.GridBagConstraints gridBagConstraints;

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        TextoEmpresa = new javax.swing.JTextField();
        ComboTipo = new javax.swing.JComboBox();
        ComboVendedor = new javax.swing.JComboBox();
        jScrollPane1 = new javax.swing.JScrollPane();
        TablaDependencias = new javax.swing.JTable();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        TextoCiudad = new javax.swing.JTextField();
        TextoComuna = new javax.swing.JTextField();
        BotonBuscar = new javax.swing.JButton();
        jToolBar1 = new javax.swing.JToolBar();
        BotonExcel = new javax.swing.JButton();

        getContentPane().setLayout(new java.awt.GridBagLayout());

        setClosable(true);
        setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Dependencias");
        jLabel1.setText("Vendedor");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel1, gridBagConstraints);

        jLabel2.setText("Comuna");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel2, gridBagConstraints);

        jLabel3.setText("Ciudad");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel3, gridBagConstraints);

        jLabel4.setText("Tipo");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel4, gridBagConstraints);

        jLabel5.setText("Empresa");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel5, gridBagConstraints);

        TextoEmpresa.setMinimumSize(new java.awt.Dimension(114, 22));
        TextoEmpresa.setPreferredSize(new java.awt.Dimension(114, 22));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(TextoEmpresa, gridBagConstraints);

        ComboTipo.setMinimumSize(new java.awt.Dimension(130, 24));
        ComboTipo.setPreferredSize(new java.awt.Dimension(130, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(ComboTipo, gridBagConstraints);

        ComboVendedor.setMinimumSize(new java.awt.Dimension(130, 24));
        ComboVendedor.setPreferredSize(new java.awt.Dimension(130, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(ComboVendedor, gridBagConstraints);

        TablaDependencias.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Empresa", "Nombre", "Tipo", "Direccin", "Ciudad", "Comuna", "Vendedor"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false, false, false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        TablaDependencias.addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentResized(java.awt.event.ComponentEvent evt) {
                TablaDependenciasComponentResized(evt);
            }
        });

        jScrollPane1.setViewportView(TablaDependencias);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 9;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(5, 6, 5, 5);
        getContentPane().add(jScrollPane1, gridBagConstraints);

        jLabel6.setText("y/o");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(jLabel6, gridBagConstraints);

        jLabel7.setText("y/o");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(jLabel7, gridBagConstraints);

        jLabel8.setText("y/o");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 5;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(jLabel8, gridBagConstraints);

        jLabel9.setText("y/o");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 7;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(jLabel9, gridBagConstraints);

        TextoCiudad.setMinimumSize(new java.awt.Dimension(114, 22));
        TextoCiudad.setPreferredSize(new java.awt.Dimension(114, 22));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(TextoCiudad, gridBagConstraints);

        TextoComuna.setMinimumSize(new java.awt.Dimension(114, 22));
        TextoComuna.setPreferredSize(new java.awt.Dimension(114, 22));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(TextoComuna, gridBagConstraints);

        BotonBuscar.setText("Buscar");
        BotonBuscar.setMaximumSize(new java.awt.Dimension(90, 25));
        BotonBuscar.setMinimumSize(new java.awt.Dimension(90, 25));
        BotonBuscar.setPreferredSize(new java.awt.Dimension(90, 25));
        BotonBuscar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BotonBuscarActionPerformed(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(BotonBuscar, gridBagConstraints);

        jToolBar1.setFloatable(false);
        BotonExcel.setIcon(new javax.swing.ImageIcon(getClass().getResource("/recursos/iconos/excel.gif")));
        BotonExcel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BotonExcelActionPerformed(evt);
            }
        });

        jToolBar1.add(BotonExcel);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 9;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 5, 0);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        getContentPane().add(jToolBar1, gridBagConstraints);

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-750)/2, (screenSize.height-433)/2, 750, 433);
    }//GEN-END:initComponents

    private void iniciarAcciones(){
        getInputMap(JComponent.WHEN_IN_FOCUSED_WINDOW).put(KeyStroke.getKeyStroke("ENTER"),"Buscar");
        getActionMap().put("Buscar",
            new AbstractAction(){
                public void actionPerformed(ActionEvent e){
                    BotonBuscarActionPerformed(null);
                }
            }
        );
    }
    private void BotonExcelActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BotonExcelActionPerformed
        int NumFilas, NumColumnas;
        NumFilas = TablaDependencias.getRowCount();
        NumColumnas = 7;
        String [][] Datos = new String [NumFilas][NumColumnas];
        for(int i=0;i<NumFilas;i++){
            for(int j=0;j<NumColumnas;j++){
                Datos[i][j] = TablaDependencias.getValueAt(i,j).toString();
            }
        }
        convertidor = new ConvertidorExcel(Datos,new String [] {"Empresa", "Nombre", "Tipo", "Direccin", "Ciudad", "Comuna", "Vendedor"},NumFilas,NumColumnas);
        convertidor.generarArchivo();

    }//GEN-LAST:event_BotonExcelActionPerformed

    private void BotonBuscarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BotonBuscarActionPerformed
        int NumFilas,NumColumnas;
        String Empresa,Tipo="",Vendedor="",ciudad,comuna;
        String [][] datos = null;
        Empresa = "%" + TextoEmpresa.getText().toLowerCase() + "%";
        ciudad = "%" + TextoCiudad.getText().toLowerCase() + "%";
        comuna = "%" + TextoComuna.getText().toLowerCase() + "%";
        if(ComboTipo.getSelectedItem().toString().equals("Todos")){
            Tipo = "%%";
        }else{
            Tipo = ComboTipo.getSelectedItem().toString();
        }
        if(ComboVendedor.getSelectedItem().toString().equals("Todos")){
            Vendedor = "%%";
        }else{
            Vendedor = ComboVendedor.getSelectedItem().toString();
        }
        try{
            Statement stmt = GestionRutas.getConexion().createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE,ResultSet.CONCUR_UPDATABLE);
            ResultSet rs = stmt.executeQuery("select empresa.nom_emp,nom_dep,tipo_dep.tipo_dep,direccion,ciudad,comuna,vendedor.nom_vend from dependencia where dependencia.rut_emp=empresa.rut_emp AND lower(empresa.nom_emp) LIKE '" + Empresa + "' AND dependencia.tipo_dep=tipo_dep.cod_tipo AND tipo_dep.tipo_dep LIKE '" + Tipo + "' AND dependencia.vendedor=vendedor.cod_vend AND vendedor.nom_vend LIKE'" + Vendedor + "' AND lower(ciudad) like '" + ciudad + "' AND lower(comuna) like '" + comuna + "'");
            rs.last();NumFilas = rs.getRow();rs.beforeFirst();NumColumnas = 7;
            datos = new String [NumFilas][NumColumnas];
            rs.next();
            for(int i=0;i<NumFilas;i++){
                for(int j=0;j<7;j++){
                    datos[i][j] = rs.getString(j+1);
                }
                rs.next();
            }
            rs.close();
            stmt.close();
        } catch(SQLException e){
            e.printStackTrace();
        }
        TableModel ModeloTabla = new DefaultTableModel(datos,
            new String [] {"Empresa", "Nombre", "Tipo", "Direccin", "Ciudad", "Comuna", "Vendedor"})
         {
            boolean[] canEdit = new boolean [] {
                false, false, false, false, false, false, false
            };
            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        };
        TablaDependencias.setModel(ModeloTabla);
        fijarAnchosTablaDependencias();
    }//GEN-LAST:event_BotonBuscarActionPerformed

    private void TablaDependenciasComponentResized(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_TablaDependenciasComponentResized
        fijarAnchosTablaDependencias();
    }//GEN-LAST:event_TablaDependenciasComponentResized

    private void fijarAnchosTablaDependencias(){
        TablaDependencias.getColumnModel().getColumn(0).setPreferredWidth(TablaDependencias.getSize().width/4);
        TablaDependencias.getColumnModel().getColumn(1).setPreferredWidth(TablaDependencias.getSize().width/6);
        TablaDependencias.getColumnModel().getColumn(2).setPreferredWidth(TablaDependencias.getSize().width/12);
        TablaDependencias.getColumnModel().getColumn(3).setPreferredWidth(TablaDependencias.getSize().width/6);
        TablaDependencias.getColumnModel().getColumn(4).setPreferredWidth(TablaDependencias.getSize().width/10);
        TablaDependencias.getColumnModel().getColumn(5).setPreferredWidth(TablaDependencias.getSize().width/10);
        TablaDependencias.getColumnModel().getColumn(6).setPreferredWidth(TablaDependencias.getSize().width/8);
    }

    private void iniciarCombos(){
        ComboVendedor.addItem("Todos");
        ComboTipo.addItem("Todos");
        try{
            Statement stmt = GestionRutas.getConexion().createStatement();
            ResultSet rs = stmt.executeQuery("select nom_vend from vendedor");
            while(rs.next()){
                ComboVendedor.addItem(rs.getString(1));
            }
            rs.close();
            rs = stmt.executeQuery("select tipo_dep from tipo_dep");
            while(rs.next()){
                ComboTipo.addItem(rs.getString(1));
            }
            rs.close();
            stmt.close();
        } catch(SQLException e){
            e.printStackTrace();
        }
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton BotonBuscar;
    private javax.swing.JButton BotonExcel;
    private javax.swing.JComboBox ComboTipo;
    private javax.swing.JComboBox ComboVendedor;
    private javax.swing.JTable TablaDependencias;
    private javax.swing.JTextField TextoCiudad;
    private javax.swing.JTextField TextoComuna;
    private javax.swing.JTextField TextoEmpresa;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JToolBar jToolBar1;
    private ConvertidorExcel convertidor;
}
