package cl.tefix.ventas.GestionRutas.empresas;

import cl.tefix.ventas.GestionRutas.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.table.*;
import java.sql.*;

public class FrameNuevaEmpresa extends javax.swing.JInternalFrame {

    /** Creates new form FrameNuevaEmpresa */
    public FrameNuevaEmpresa() {
        initComponents();
        iniciarCombo();
    }

    private void initComponents() {//GEN-BEGIN:initComponents
        java.awt.GridBagConstraints gridBagConstraints;

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        TextoNombre = new javax.swing.JTextField();
        TextoRut = new javax.swing.JTextField();
        TextoPrioridad = new javax.swing.JTextField();
        BotonCrear = new javax.swing.JButton();
        ComboTipo = new javax.swing.JComboBox();

        getContentPane().setLayout(new java.awt.GridBagLayout());

        setClosable(true);
        setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
        setIconifiable(true);
        setTitle("Nueva Empresa");
        jLabel1.setText("Nombre");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel1, gridBagConstraints);

        jLabel2.setText("(Ej: Constructora Valle Verde)");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(jLabel2, gridBagConstraints);

        jLabel3.setText("Rut");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel3, gridBagConstraints);

        jLabel4.setText("(Ej: 78541236k)");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(jLabel4, gridBagConstraints);

        jLabel5.setText("Tipo de Empresa");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel5, gridBagConstraints);

        jLabel6.setText("Prioridad");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 0, 0);
        getContentPane().add(jLabel6, gridBagConstraints);

        TextoNombre.setMinimumSize(new java.awt.Dimension(114, 22));
        TextoNombre.setPreferredSize(new java.awt.Dimension(114, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 5);
        getContentPane().add(TextoNombre, gridBagConstraints);

        TextoRut.setMinimumSize(new java.awt.Dimension(114, 24));
        TextoRut.setPreferredSize(new java.awt.Dimension(114, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 5);
        getContentPane().add(TextoRut, gridBagConstraints);

        TextoPrioridad.setMinimumSize(new java.awt.Dimension(150, 24));
        TextoPrioridad.setPreferredSize(new java.awt.Dimension(150, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 6);
        getContentPane().add(TextoPrioridad, gridBagConstraints);

        BotonCrear.setText("Crear");
        BotonCrear.setMaximumSize(new java.awt.Dimension(100, 25));
        BotonCrear.setMinimumSize(new java.awt.Dimension(100, 25));
        BotonCrear.setPreferredSize(new java.awt.Dimension(100, 25));
        BotonCrear.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BotonCrearActionPerformed(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTH;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(5, 0, 5, 0);
        getContentPane().add(BotonCrear, gridBagConstraints);

        ComboTipo.setMinimumSize(new java.awt.Dimension(150, 24));
        ComboTipo.setPreferredSize(new java.awt.Dimension(150, 24));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(ComboTipo, gridBagConstraints);

        pack();
    }//GEN-END:initComponents

    private void BotonCrearActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BotonCrearActionPerformed
        if(TextoRut.getText().length() == 0){
            JOptionPane.showMessageDialog(this,"Error: Debe ingresar al menos un rut","Error",JOptionPane.ERROR_MESSAGE);
        }else{
            if(TextoNombre.getText().length() == 0){
                JOptionPane.showMessageDialog(this,"Error: Debe ingresar un Nombre","Error",JOptionPane.ERROR_MESSAGE);
            }else{
                String Rut,Nombre,Tipo,Prioridad;
                Rut = TextoRut.getText();Nombre = TextoNombre.getText();Tipo = ComboTipo.getSelectedItem().toString();Prioridad = TextoPrioridad.getText();
                String consulta;
                try{
                    stmt = GestionRutas.getConexion().createStatement();
                    consulta = "insert into empresa values('" + Rut + "','" + Nombre + "',(select cod_tipo from tipo_emp where tipo_emp.tipo_emp = '" + ComboTipo.getSelectedItem() + "'),'" + Prioridad + "')";
                    stmt.execute(consulta);
                    JOptionPane.showMessageDialog(this,"La Empresa se ha creado correctamente","Informacin",1);
                    stmt.close();
                }catch(SQLException e){
                    e.printStackTrace();
                }
            }
        }

    }//GEN-LAST:event_BotonCrearActionPerformed

    private void iniciarCombo(){
        int NumFilas=0;
        try{
            stmtTipos = GestionRutas.getConexion().createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE,ResultSet.CONCUR_UPDATABLE);
            rsTipos = stmtTipos.executeQuery("SELECT * FROM tipo_emp");
            rsTipos.last();
            NumFilas = rsTipos.getRow();
            rsTipos.beforeFirst();
            Tipos = new String[NumFilas][2];
            int i=0;
            while(rsTipos.next()){
                for(int j=0;j<2;j++){
                    Tipos[i][j] = rsTipos.getString(j+1);
                }
                i++;
            }
            stmtTipos.close();rsTipos.close();
        }catch(SQLException e){
            e.printStackTrace();
        }
        for(int i=0;i<NumFilas;i++){
            ComboTipo.addItem(Tipos[i][1]);
        }
    }


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton BotonCrear;
    private javax.swing.JComboBox ComboTipo;
    private javax.swing.JTextField TextoNombre;
    private javax.swing.JTextField TextoPrioridad;
    private javax.swing.JTextField TextoRut;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    // End of variables declaration//GEN-END:variables
    Statement stmtTipos,stmt;
    ResultSet rsTipos;
    String [][] Tipos;
}
